/**
 * This class has a main method that tests your Stomach
 * and Brain class. The main method is at the very bottom.
 * 
 * @author alchambers
 * @version Fall 16
 */
public class Tester{
    
    private static void testStomach(){
        System.out.println("Creating a new stomach...");
        Stomach s = new Stomach();
        System.out.println(s.toString());
        System.out.println();
        
        System.out.println("Eating breakfast...");
        s.ingest(5);
        System.out.println(s.toString());
        System.out.println();
        
        System.out.println("Digesting...");
        s.digest();
        System.out.println(s.toString());
        System.out.println();
        
        System.out.println("Eating lunch...");
        s.ingest(10);
        System.out.println(s.toString());
        System.out.println();
        
        System.out.println("Eating an early dinner...");
        s.ingest(20);
        System.out.println(s.toString());
        System.out.println();
        
        System.out.println("Digesting...");
        s.digest();
        System.out.println(s.toString());
        System.out.println();
        
        // Let's see how much food remains in our stomach
        int a = s.getAmountFood();
        System.out.println("We still have " + a + " units of food in our stomach");
        
        int d = s.getAmountDigested();
        System.out.println("Total we have digested " + d + " units of food");
        System.out.println();
    }
    
    private static void testBrain(){
        System.out.println("Creating a new brain...");
        Brain b = new Brain();
        System.out.println(b.toString());
        System.out.println();        
        
        System.out.println("Wake up...");
        b.setAwake(true);
        System.out.println();
        
        b.setThought("Wow, it's a new world!");
        System.out.println(b.toString());
        System.out.println();
        
        b.setThought("I have amnesia!");
        System.out.println(b.toString());
        System.out.println();

        b.setThought("I think my name is Bob!");
        System.out.println(b.toString());
        System.out.println();

        b.remember();
        System.out.println(b.toString());
        System.out.println();

        b.setThought("I'm hungry");
        System.out.println(b.toString());
        System.out.println();

        System.out.println("Going back to sleep...");
        b.setAwake(false);
        System.out.println(b.toString());
        System.out.println();
    }
    
    public static void main(String[] args){
        // Uncomment the following line to test your Stomach class
        // testStomach();
        
        // Uncomment the following line to test your Brain class
        // testBrain();
    }
}
